Czy warto zaktualizować Debiana do wersji niestabilnej?

Pomoc dotycząca instalacji systemu
yantar
Member
Posty: 1225
Rejestracja: 07 czerwca 2007, 21:15
Lokalizacja: Rzeszów

Post autor: yantar » 26 kwietnia 2008, 22:23

Ustwienia pin-priority maja wyladowac w

Kod: Zaznacz cały

/etc/apt/preferences
nie w sources.list :->

Awatar użytkownika
Mateush
Posty: 40
Rejestracja: 26 kwietnia 2008, 14:01
Lokalizacja: Poznań

Post autor: Mateush » 27 kwietnia 2008, 02:07

Tak, tak, pomyliłem się. ;-)

Kod: Zaznacz cały

mateusz@debian:~$ cat /etc/debian_version
lenny/sid
mateusz@debian:~$ 
I o to chyba chodziło. ;-) Jednak widzę, że trzeba trochę rzeczy doinstalować... :-/ trudno....

Dzięki wielkie za pomoc. :mrgreen:

Szarek
Posty: 20
Rejestracja: 31 grudnia 2007, 15:27
Lokalizacja: Kluczbork

Post autor: Szarek » 11 czerwca 2008, 17:21

Po próbie aktualizacji z Lenny do Sid mam mały problem który się powtarza za każdym razem gdy wpisuje:

Kod: Zaznacz cały

aptitude upgrade
lub

Kod: Zaznacz cały

aptitude dist-upgrade

Kod: Zaznacz cały

W: The "upgrade" command is deprecated; use "safe-upgrade" instead.
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Odczyt dodatkowych informacji o stanie      
Inicjalizacja stanów pakietów... Gotowe
Odczyt opisów zadań... Gotowe          
Następujące częściowo zainstalowane pakiety zostaną skonfigurowane:
  linux-image-2.6-686 linux-image-2.6.25-2-686 
0 pakietów aktualizowanych, 0 instalowanych, 0 do usunięcia i 0 nie aktualizowanych.
Do pobrania 0B archiwów. Zajęte po rozpakowaniu: 0B.
Konfigurowanie linux-image-2.6.25-2-686 (2.6.25-4) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
initrd.img(/boot/initrd.img-2.6.25-2-686
) points to /boot/initrd.img-2.6.25-2-686
 (/boot/initrd.img-2.6.25-2-686) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.25-2-686.postinst line 569.
vmlinuz(/boot/vmlinuz-2.6.25-2-686
) points to /boot/vmlinuz-2.6.25-2-686
 (/boot/vmlinuz-2.6.25-2-686) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.25-2-686.postinst line 569.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
grub-probe: error: Cannot find a GRUB drive for /dev/sda2.  Check your device.map.

User postinst hook script [update-grub] exited with value 1
dpkg: błąd przetwarzania linux-image-2.6.25-2-686 (--configure):
 podproces post-installation script zwrócił kod błędu 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie linux-image-2.6-686:
 linux-image-2.6-686 zależy od linux-image-2.6.25-2-686; jednakże:
  Pakiet linux-image-2.6.25-2-686 nie jest jeszcze skonfigurowany.
dpkg: błąd przetwarzania linux-image-2.6-686 (--configure):
 problemy z zależnościami - pozostawiony nieskonfigurowany
Wystąpiły błędy podczas przetwarzania:
 linux-image-2.6.25-2-686
 linux-image-2.6-686
E: Sub-process /usr/bin/dpkg returned an error code (1)
W czasie instalacji wystąpiły problemy. Próba naprawy:
Konfigurowanie linux-image-2.6.25-2-686 (2.6.25-4) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
initrd.img(/boot/initrd.img-2.6.25-2-686
) points to /boot/initrd.img-2.6.25-2-686
 (/boot/initrd.img-2.6.25-2-686) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.25-2-686.postinst line 569.
vmlinuz(/boot/vmlinuz-2.6.25-2-686
) points to /boot/vmlinuz-2.6.25-2-686
 (/boot/vmlinuz-2.6.25-2-686) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.25-2-686.postinst line 569.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
grub-probe: error: Cannot find a GRUB drive for /dev/sda2.  Check your device.map.

User postinst hook script [update-grub] exited with value 1
dpkg: błąd przetwarzania linux-image-2.6.25-2-686 (--configure):
 podproces post-installation script zwrócił kod błędu 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie linux-image-2.6-686:
 linux-image-2.6-686 zależy od linux-image-2.6.25-2-686; jednakże:
  Pakiet linux-image-2.6.25-2-686 nie jest jeszcze skonfigurowany.
dpkg: błąd przetwarzania linux-image-2.6-686 (--configure):
 problemy z zależnościami - pozostawiony nieskonfigurowany
Wystąpiły błędy podczas przetwarzania:
 linux-image-2.6.25-2-686
 linux-image-2.6-686
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Odczyt dodatkowych informacji o stanie      
Inicjalizacja stanów pakietów... Gotowe
Odczyt opisów zadań... Gotowe          

wilk:/home/szarek# clear && aptitude upgrade >> ~/blad.txt

W: The "upgrade" command is deprecated; use "safe-upgrade" instead.
E: Sub-process /usr/bin/dpkg returned an error code (1)
W czasie instalacji wystąpiły problemy. Próba naprawy:
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
initrd.img(/boot/initrd.img-2.6.25-2-686
) points to /boot/initrd.img-2.6.25-2-686
 (/boot/initrd.img-2.6.25-2-686) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.25-2-686.postinst line 569.
vmlinuz(/boot/vmlinuz-2.6.25-2-686
) points to /boot/vmlinuz-2.6.25-2-686
 (/boot/vmlinuz-2.6.25-2-686) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.25-2-686.postinst line 569.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
grub-probe: error: Cannot find a GRUB drive for /dev/sda2.  Check your device.map.

User postinst hook script [update-grub] exited with value 1
dpkg: błąd przetwarzania linux-image-2.6.25-2-686 (--configure):
 podproces post-installation script zwrócił kod błędu 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie linux-image-2.6-686:
 linux-image-2.6-686 zależy od linux-image-2.6.25-2-686; jednakże:
  Pakiet linux-image-2.6.25-2-686 nie jest jeszcze skonfigurowany.
dpkg: błąd przetwarzania linux-image-2.6-686 (--configure):
 problemy z zależnościami - pozostawiony nieskonfigurowany
Wystąpiły błędy podczas przetwarzania:
 linux-image-2.6.25-2-686
 linux-image-2.6-686
Inne pakiety poza tymi 2 zainstalowały się bez większych problemów.

yantar
Member
Posty: 1225
Rejestracja: 07 czerwca 2007, 21:15
Lokalizacja: Rzeszów

Post autor: yantar » 11 czerwca 2008, 21:02

Szarek, napierw

Kod: Zaznacz cały

aptitude safe-upgrade
pozniej

Kod: Zaznacz cały

aptitude full-upgrade
Choc nie wiem czy ominiesz ten blad z Grubem cos tam sie brzydko pomotalo.

erasil
Posty: 24
Rejestracja: 24 stycznia 2008, 16:58

Post autor: erasil » 17 czerwca 2008, 23:06

właśnie leci u mnie bezpośredni upgrade z etch na sida. wyskoczyły problemy z zależnościami i wywala cały xserver-xorg-video, ale to później będę naprawiał, mam nadzieje, że się uda :)

rybycy
Posty: 12
Rejestracja: 06 sierpnia 2008, 19:08
Lokalizacja: Wrocław

Post autor: rybycy » 06 sierpnia 2008, 19:12

Niemały problem z KDM.
Odpalam Debiana, upgraduje. Restart komputera i co widzę? Ekran logowania tekstowego.
Niestety, chyba KDM się wysypał. Próbowałem reinstalować: drivery Nvidii (GF 7600GT), KDM.
Zainstalowałem też GDM, niestety nie wypaliło. Co może być problemem?
Ach, podczas odpalania nie wyskakuje żaden błąd. Po prostu włącza się i wyłącza (przełącza do ekranu tekstowego). Proszę o pomoc.

SeRdEcZnY
Beginner
Posty: 161
Rejestracja: 20 listopada 2007, 20:45

Post autor: SeRdEcZnY » 06 sierpnia 2008, 19:26

przeinstalować kde ?

rybycy
Posty: 12
Rejestracja: 06 sierpnia 2008, 19:08
Lokalizacja: Wrocław

Post autor: rybycy » 06 sierpnia 2008, 19:32

Też próbowałem, nic z tego.

Awatar użytkownika
ruun
Member
Posty: 1366
Rejestracja: 29 marca 2007, 21:07
Lokalizacja: Kruszwica

Post autor: ruun » 06 sierpnia 2008, 19:35

rybycy, wklej log xorga (/var/log/Xorg.0.log).

pavbaranov
Senior Member
Posty: 2156
Rejestracja: 29 lipca 2007, 18:06

Post autor: pavbaranov » 07 sierpnia 2008, 10:13

rybycy Najprawdopodobniejsza przyczyna tego problemu, to wadliwe ustawienie xorgów. Zobacz plik xorg.conf, oraz sprawdź na innych sterownikach (myślę, że NVidia na jakiejś vesa odpali). Jeśli tak, to powinieneś poszukać rozwiązania problemów ze sterownikami karty.

ODPOWIEDZ